<?php
  
ACCESS('users');
  
IF ($account['ID'] != $user['ID']){
  
  REDIRECT('/');
  
}
  
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/users/profile/?path=form&id=".$account['ID']."'>".LG('Личная информация')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('О себе')."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $about_me = ADSL(POST('about_me'));
  $interests = ADSL(POST('interests'));
  $music = ADSL(POST('music'));
  $films = ADSL(POST('films'));
  $books = ADSL(POST('books'));
  $profession = ADSL(POST('profession'));
  $politic = INTVAL(POST('politic'));
  $faith = INTVAL(POST('faith'));
  $alkohol = INTVAL(POST('alkohol'));
  $smoking = INTVAL(POST('smoking'));
  $family = INTVAL(POST('family'));
  
  IF (STR($about_me) > 300){
    
    ERROR('В графе "о себе" не может быть более 300 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($interests) > 300){
    
    ERROR('В графе "мои интересы" не может быть более 300 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($music) > 250){
    
    ERROR('В графе "любимая музыка" не может быть более 250 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($films) > 250){
    
    ERROR('В графе "любимые фильмы" не может быть более 250 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($books) > 250){
    
    ERROR('В графе "любимые книги" не может быть более 250 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($profession) > 200){
    
    ERROR('В графе "профессия" не может быть более 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/users/profile/?path=form&id='.$account['ID'].'&section=about_me');
    
  }
  
  DB::GET_SET("UPDATE `USERS_SETTINGS` SET `ABOUT_ME` = '".$about_me."', `MY_INTERESTS` = '".$interests."', `MY_MUSIC` = '".$music."', `MY_FILMS` = '".$films."', `MY_BOOKS` = '".$books."', `MY_POLITIC` = '".$politic."', `MY_FAITH` = '".$faith."', `MY_PROFESSION` = '".$profession."', `ALKOHOL` = '".$alkohol."', `SMOKING` = '".$smoking."', `FAMILY` = '".$family."' WHERE `USER_ID` = '".$account['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/users/profile/?path=form&id='.$account['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/users/profile/?path=form&id=".$account['ID']."&section=about_me'>";

ECHO "<b>".LG('О себе')."</b>:<br />";
HTML::INPUT('about_me', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['ABOUT_ME']));

ECHO "<b>".LG('Мои интересы')."</b>:<br />";
HTML::INPUT('interests', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['MY_INTERESTS']));

ECHO "<b>".LG('Любимая музыка')."</b>:<br />";
HTML::INPUT('music', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['MY_MUSIC']));

ECHO "<b>".LG('Любимые фильмы')."</b>:<br />";
HTML::INPUT('films', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['MY_FILMS']));

ECHO "<b>".LG('Любимые книги')."</b>:<br />";
HTML::INPUT('books', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['MY_BOOKS']));

ECHO "<b>".LG('Профессия')."</b>:<br />";
HTML::INPUT('profession', NULL, NULL, NULL, TEXT_ABSOLUTE($account_set['MY_PROFESSION']));

ECHO "<b>".LG('Полит. взгляды')."</b>:<br />";
ECHO "<select name='politic' class='form-control-select'>
<option value='1' ".($account_set['MY_POLITIC'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
<option value='2' ".($account_set['MY_POLITIC'] == 2 ? "selected='selected'" : NULL).">".LG('Коммунистические')."</option>  
<option value='3' ".($account_set['MY_POLITIC'] == 3 ? "selected='selected'" : NULL).">".LG('Социалистические')."</option>
<option value='4' ".($account_set['MY_POLITIC'] == 4 ? "selected='selected'" : NULL).">".LG('Умеренные')."</option>
<option value='5' ".($account_set['MY_POLITIC'] == 5 ? "selected='selected'" : NULL).">".LG('Либеральные')."</option>
<option value='6' ".($account_set['MY_POLITIC'] == 6 ? "selected='selected'" : NULL).">".LG('Консервативные')."</option>  
<option value='7' ".($account_set['MY_POLITIC'] == 7 ? "selected='selected'" : NULL).">".LG('Монархические')."</option>
<option value='8' ".($account_set['MY_POLITIC'] == 8 ? "selected='selected'" : NULL).">".LG('Ультраконсеративные')."</option>
<option value='9' ".($account_set['MY_POLITIC'] == 9 ? "selected='selected'" : NULL).">".LG('Либертарианские')."</option>  
<option value='10' ".($account_set['MY_POLITIC'] == 10 ? "selected='selected'" : NULL).">".LG('Индифферентные')."</option>
</select><br /><br />";

ECHO "<b>".LG('Мировоззрение')."</b>:<br />";
ECHO "<select name='faith' class='form-control-select'>
<option value='1' ".($account_set['MY_FAITH'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
<option value='2' ".($account_set['MY_FAITH'] == 2 ? "selected='selected'" : NULL).">".LG('Православие')."</option>  
<option value='3' ".($account_set['MY_FAITH'] == 3 ? "selected='selected'" : NULL).">".LG('Католицизм')."</option>
<option value='4' ".($account_set['MY_FAITH'] == 4 ? "selected='selected'" : NULL).">".LG('Иудаизм')."</option>
<option value='5' ".($account_set['MY_FAITH'] == 5 ? "selected='selected'" : NULL).">".LG('Ислам')."</option>
<option value='6' ".($account_set['MY_FAITH'] == 6 ? "selected='selected'" : NULL).">".LG('Протестантизм')."</option>  
<option value='7' ".($account_set['MY_FAITH'] == 7 ? "selected='selected'" : NULL).">".LG('Буддизм')."</option>
<option value='8' ".($account_set['MY_FAITH'] == 8 ? "selected='selected'" : NULL).">".LG('Конфуцианство')."</option>
<option value='9' ".($account_set['MY_FAITH'] == 9 ? "selected='selected'" : NULL).">".LG('Светский гуманизм')."</option>  
<option value='10' ".($account_set['MY_FAITH'] == 10 ? "selected='selected'" : NULL).">".LG('Атеизм')."</option>
<option value='11' ".($account_set['MY_FAITH'] == 11 ? "selected='selected'" : NULL).">".LG('Пастафарианство')."</option>
<option value='12' ".($account_set['MY_FAITH'] == 12 ? "selected='selected'" : NULL).">".LG('Агностицизм')."</option>
</select><br /><br />";

ECHO "<b>".LG('Отношение к алкоголю')."</b>:<br />";
ECHO "<select name='alkohol' class='form-control-select'>
<option value='1' ".($account_set['ALKOHOL'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
<option value='2' ".($account_set['ALKOHOL'] == 2 ? "selected='selected'" : NULL).">".LG('Негативное')."</option>  
<option value='3' ".($account_set['ALKOHOL'] == 3 ? "selected='selected'" : NULL).">".LG('Нейтральное')."</option>
<option value='4' ".($account_set['ALKOHOL'] == 4 ? "selected='selected'" : NULL).">".LG('Положительное')."</option>
</select><br /><br />";

ECHO "<b>".LG('Отношение к курению')."</b>:<br />";
ECHO "<select name='smoking' class='form-control-select'>
<option value='1' ".($account_set['SMOKING'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
<option value='2' ".($account_set['SMOKING'] == 2 ? "selected='selected'" : NULL).">".LG('Негативное')."</option>  
<option value='3' ".($account_set['SMOKING'] == 3 ? "selected='selected'" : NULL).">".LG('Нейтральное')."</option>
<option value='4' ".($account_set['SMOKING'] == 4 ? "selected='selected'" : NULL).">".LG('Положительное')."</option>
</select><br /><br />";
  
IF ($account['SEX'] == 2){
  
  ECHO "<b>".LG('Семейное положение')."</b>:<br />";
  ECHO "<select name='family' class='form-control-select'>
  <option value='1' ".($account_set['FAMILY'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
  <option value='2' ".($account_set['FAMILY'] == 2 ? "selected='selected'" : NULL).">".LG('Не замужем')."</option>  
  <option value='3' ".($account_set['FAMILY'] == 3 ? "selected='selected'" : NULL).">".LG('Разведена')."</option>
  <option value='4' ".($account_set['FAMILY'] == 4 ? "selected='selected'" : NULL).">".LG('Влюблена')."</option>
  <option value='5' ".($account_set['FAMILY'] == 5 ? "selected='selected'" : NULL).">".LG('Помолвлена')."</option>
  <option value='6' ".($account_set['FAMILY'] == 6 ? "selected='selected'" : NULL).">".LG('Всё сложно')."</option>
  </select><br /><br />";
  
}ELSE{
  
  ECHO "<b>".LG('Семейное положение')."</b>:<br />";
  ECHO "<select name='family' class='form-control-select'>
  <option value='1' ".($account_set['FAMILY'] == 1 ? "selected='selected'" : NULL).">".LG('Не важно')."</option>
  <option value='2' ".($account_set['FAMILY'] == 2 ? "selected='selected'" : NULL).">".LG('Не женат')."</option>  
  <option value='3' ".($account_set['FAMILY'] == 3 ? "selected='selected'" : NULL).">".LG('Разведен')."</option>
  <option value='4' ".($account_set['FAMILY'] == 4 ? "selected='selected'" : NULL).">".LG('Влюблен')."</option>
  <option value='5' ".($account_set['FAMILY'] == 5 ? "selected='selected'" : NULL).">".LG('Помолвлен')."</option>
  <option value='6' ".($account_set['FAMILY'] == 6 ? "selected='selected'" : NULL).">".LG('Всё сложно')."</option>
  </select><br /><br />";
  
}

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/users/profile/?path=form&id=".$account['ID']."'>".LG('Личная информация')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('О себе')."";
ECHO "</div>";
  
?>